window.Gleam.initSearch([{"doc":"xmb","title":"xmb","content":"# Extensible Markup Builder\n\n[![Package Version](https://img.shields.io/hexpm/v/xmb)](https://hex.pm/packages/xmb)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/xmb/)\n\nA tiny XML builder for Gleam.\n\n```gleam\nimport xmb.{text, x}\nimport gleam/io\nimport gleam/string_builder\n\npub fn main() {\n  x(&quot;greeting&quot;, [], [text(&quot;Hello, Joe!&quot;)])\n  |&gt; xmb.render\n  |&gt; string_builder.to_string\n  |&gt; io.println\n}\n```\n```xml\n&lt;?xml version=\\&quot;1.0\\&quot; encoding=\\&quot;UTF-8\\&quot;?&gt;&lt;greeting&gt;Hello, Joe!&lt;/greeting&gt;\n```\n\nThis package doesn&#39;t do much. If you&#39;d like more features, check out these\nalternatives:\n\n- [xmleam](https://hex.pm/packages/xmleam)\n\n\n## Installation\n\n```sh\ngleam add xmb\n```\n\nThe documentation can be found at &lt;https://hexdocs.pm/xmb&gt;.\n","url":"index.html"},{"doc":"xmb","title":"Xml","content":"pub type Xml\n\n\nSynonyms:\nxmb.Xml\nxmb Xml","url":"xmb.html#Xml"},{"doc":"xmb","title":"dangerous_unescaped_fragment","content":"pub fn dangerous_unescaped_fragment(s: StringTree) -&gt; Xml\n\nSynonyms:\nxmb.dangerous_unescaped_fragment\nxmb dangerous_unescaped_fragment","url":"xmb.html#dangerous_unescaped_fragment"},{"doc":"xmb","title":"escape","content":"pub fn escape(content: String) -&gt; String\n\nSynonyms:\nxmb.escape\nxmb escape","url":"xmb.html#escape"},{"doc":"xmb","title":"render","content":"pub fn render(xml: List(Xml)) -&gt; StringTree\n\nSynonyms:\nxmb.render\nxmb render","url":"xmb.html#render"},{"doc":"xmb","title":"render_fragment","content":"pub fn render_fragment(element: Xml) -&gt; StringTree\n\nSynonyms:\nxmb.render_fragment\nxmb render_fragment","url":"xmb.html#render_fragment"},{"doc":"xmb","title":"text","content":"pub fn text(content: String) -&gt; Xml\n\nSynonyms:\nxmb.text\nxmb text","url":"xmb.html#text"},{"doc":"xmb","title":"x","content":"pub fn x(\n  tag: String,\n  attributes: List(#(String, String)),\n  children: List(Xml),\n) -&gt; Xml\n\nSynonyms:\nxmb.x\nxmb x","url":"xmb.html#x"},{"doc":"xmb","title":"xmb","content":" # Extensible Markup Builder\n \n A tiny XML builder for Gleam.\n \n ```gleam\n let html = \n   x(&quot;greeting&quot;, [], [text(&quot;Hello, Joe!&quot;)])\n   |&gt; render\n   |&gt; string_tree.to_string\n assert html == &quot;&lt;greeting&gt;Hello, Joe!&lt;/greeting&gt;&quot;\n ```\n \n This package doesn&#39;t do much. If you&#39;d like more features, check out these\n alternatives:\n \n - [xmleam](https://hex.pm/packages/xmleam)\n ","url":"xmb.html"}]);